# TdApi.SetUsername

Package it.ernytech.tdlib

## Class TdApi.SetUsername

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetUsername

Enclosing class:
  TdApi

    public static class TdApi.SetUsername
    extends TdApi.Function

Changes the username of the current user. If something changes, updateUser will be sent.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `username` The new value of the username.

### Constructor Summary

Constructors
`SetUsername()` Default constructor.
`SetUsername​(java.lang.String username)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### username

    public java.lang.String username

The new value of the username. Use an empty string to remove the username.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetUsername

    public SetUsername()

Default constructor.

#### SetUsername

    public SetUsername​(java.lang.String username)

Constructor for initialization of all fields.

Parameters:
  `username` - The new value of the username. Use an empty string to remove the username.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR